## plasma-discover 6.5.4+p24.04+vunstable+git20251231.0428

=== debian/changelog ===
plasma-discover (6.5.4+p24.04+vunstable+git20251231.0428-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 04:28:34 +0000
