=== debian/changelog ===
plasma-discover (6.5.5-0ubuntu3) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 23:04:53 +0000

plasma-discover (6.5.5-0ubuntu2) resolute; urgency=medium

  * Rebuild for release.

 -- Rik Mills <rikmills@kde.org>  Thu, 15 Jan 2026 08:52:35 +0000

plasma-discover (6.5.5-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Jan 2026 14:53:37 +0000
