## plasma-discover 6.5.5+p24.04+vstable+git20260128.1320

=== debian/changelog ===
plasma-discover (6.5.5+p24.04+vstable+git20260128.1320-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 28 Jan 2026 13:21:03 +0000

plasma-discover (6.5.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Jan 2026 06:33:26 +1000
