## plasma-discover 6.5.5+p24.04+vstable+git20260203.0850

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(discover)
-set(PROJECT_VERSION "6.5.5")
+set(PROJECT_VERSION "6.5.91")
 
-set(QT_MIN_VERSION "6.9.0")
-set(KF6_MIN_VERSION "6.18.0")
+set(QT_MIN_VERSION "6.10.0")
+set(KF6_MIN_VERSION "6.22.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.85")
 
 set(CMAKE_CXX_STANDARD 20)
@@ -33,15 +33,15 @@
 
 find_package(PkgConfig REQUIRED)
 
-find_package(KF6 ${KF6_MIN_VERSION} REQUIRED Kirigami CoreAddons Config Crash DBusAddons I18n Archive XmlGui KIO KCMUtils IdleTime Notifications Purpose Auth StatusNotifierItem IconThemes)
+find_package(KF6 ${KF6_MIN_VERSION} REQUIRED Kirigami CoreAddons Config Crash DBusAddons I18n Archive XmlGui KIO KCMUtils IdleTime Notifications Purpose StatusNotifierItem IconThemes)
 find_package(KF6 ${KF6_MIN_VERSION} OPTIONAL_COMPONENTS UserFeedback)
 
 find_package(packagekitqt6 1.0.1 CONFIG)
 find_package(AppStreamQt 1.0.4 CONFIG REQUIRED)
-find_package(KF6Attica 5.23 CONFIG)
-find_package(KF6NewStuff 5.53 CONFIG)
+find_package(KF6Attica ${KF6_MIN_VERSION} CONFIG)
+find_package(KF6NewStuff ${KF6_MIN_VERSION} CONFIG)
 
-find_package(KF6KirigamiAddons REQUIRED)
+find_package(KF6KirigamiAddons 1.10.0 REQUIRED)
 set_package_properties(KF6KirigamiAddons PROPERTIES
     TYPE REQUIRED
     PURPOSE "Provides additional visual components"
