=== debian/changelog ===
plasma-discover (6.5.5+p24.04+vunstable+git20260205.0718-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 07:19:02 +0000
