=== debian/control ===
--- 
+++ 
@@ -10,42 +10,42 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-qmldeps,
-               extra-cmake-modules (>= 6.18.0~),
+               extra-cmake-modules (>= 6.22.0~),
                gettext,
                kirigami-addons-dev (>= 1.2.1~),
                libappstreamqt-dev (>= 1.0.0),
                libcurl4-gnutls-dev,
                libflatpak-dev (>= 0.11.8~) [linux-any],
                libfwupd-dev (>= 1.9.4~) [linux-any],
-               libkf6archive-dev (>= 6.18.0~),
-               libkf6attica-dev (>= 6.18.0~),
-               libkf6auth-dev (>= 6.18.0~),
-               libkf6config-dev (>= 6.18.0~),
-               libkf6coreaddons-dev (>= 6.18.0~),
-               libkf6crash-dev (>= 6.18.0~),
-               libkf6dbusaddons-dev (>= 6.18.0~),
-               libkf6i18n-dev (>= 6.18.0~),
-               libkf6iconthemes-dev (>= 6.18.0~),
-               libkf6idletime-dev (>= 6.18.0~),
-               libkf6jobwidgets-dev (>= 6.18.0~),
-               libkf6kcmutils-dev (>= 6.18.0~),
-               libkf6kio-dev (>= 6.18.0~),
-               libkf6newstuff-dev (>= 6.18.0~),
-               libkf6notifications-dev (>= 6.18.0~),
-               libkf6purpose-dev (>= 6.18.0~),
-               libkf6statusnotifieritem-dev (>= 6.18.0~),
-               libkf6userfeedback-dev (>= 6.18.0~),
-               libkf6xmlgui-dev (>= 6.18.0~),
-               libkirigami-dev (>= 6.18.0~),
+               libkf6archive-dev (>= 6.22.0~),
+               libkf6attica-dev (>= 6.22.0~),
+               libkf6auth-dev (>= 6.22.0~),
+               libkf6config-dev (>= 6.22.0~),
+               libkf6coreaddons-dev (>= 6.22.0~),
+               libkf6crash-dev (>= 6.22.0~),
+               libkf6dbusaddons-dev (>= 6.22.0~),
+               libkf6i18n-dev (>= 6.22.0~),
+               libkf6iconthemes-dev (>= 6.22.0~),
+               libkf6idletime-dev (>= 6.22.0~),
+               libkf6jobwidgets-dev (>= 6.22.0~),
+               libkf6kcmutils-dev (>= 6.22.0~),
+               libkf6kio-dev (>= 6.22.0~),
+               libkf6newstuff-dev (>= 6.22.0~),
+               libkf6notifications-dev (>= 6.22.0~),
+               libkf6purpose-dev (>= 6.22.0~),
+               libkf6statusnotifieritem-dev (>= 6.22.0~),
+               libkf6userfeedback-dev (>= 6.22.0~),
+               libkf6xmlgui-dev (>= 6.22.0~),
+               libkirigami-dev (>= 6.22.0~),
                libmarkdown2-dev,
                libpackagekitqt6-dev (>= 1.1.3),
                libsnapd-qt-dev (>= 1.65) [linux-any],
                pkgconf,
                qcoro-qt6-dev,
                qml6-module-qt5compat-graphicaleffects,
-               qt6-base-dev (>= 6.9.0~),
-               qt6-declarative-dev (>= 6.9.0~),
-               qt6-webview-dev (>= 6.9.0~) [amd64 arm64 armhf i386],
+               qt6-base-dev (>= 6.10.0~),
+               qt6-declarative-dev (>= 6.10.0~),
+               qt6-webview-dev (>= 6.10.0~) [amd64 arm64 armhf i386],
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma/discover
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/discover
